[DRE-commits] [SCM] pkg-ruby-extras.git branch, master, updated. 43ba9a84d5c02e76ecf752db5ccbb0f0e8a23e23

Antonio Terceiro terceiro at debian.org
Sat Jun 30 17:30:44 UTC 2012


The following commit has been merged in the master branch:
commit d2e3f0d0511554b571b95704e85dcf27fea04b42
Author: Antonio Terceiro <terceiro at debian.org>
Date:   Sat Jun 30 14:10:12 2012 -0300

    Beginnings of a helper script to wrap up our upload procedure

diff --git a/upload b/upload
new file mode 100755
index 0000000..ef26607
--- /dev/null
+++ b/upload
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+set -e
+
+if ! [ -e debian/changelog ]; then
+  echo "Not inside a Debian package!"
+  exit 1
+fi
+
+highlight() {
+  msg="$@"
+  printf "\033[01;33m${msg}\033[m\n"
+}
+
+banner() {
+  highlight "================================================="
+  highlight "= %s" "$@"
+  highlight "================================================="
+  echo # blank line
+}
+
+# build
+git buildpackage --git-pbuilder
+
+# check
+(
+  banner "Lintian checks"
+  lintian -Ii
+
+  banner "Rubygems integration"
+  debc | grep gemspec | sed 's/.*\s//'
+  echo
+
+  banner "Overall package contents"
+  debc
+) | less -FRSX
+
+
+printf "Proceed with the upload? [y/N] "
+read proceed
+if [ "$proceed" != 'y' ] && [ "$proceed" != 'Y' ]; then
+  echo "Aborted upon your request."
+  exit 2
+fi
+
+# tag
+git buildpackage --git-tag-only
+
+# push
+git push --all
+git push --tags
+
+# sign
+debsign
+
+# upload
+source=$(dpkg-parsechangelog | awk '{ if ($1 == "Source:") print($2)}')
+version=$(dpkg-parsechangelog | awk  '{ if ($1 == "Version:") { print ($2) } }')
+cd .. && dput ${source}_${version}_amd64.changes

-- 
pkg-ruby-extras.git



More information about the Pkg-ruby-extras-commits mailing list